## org.apache.batik.transcoder.wmf.tosvg
Class WMFUtilities

    java.lang.Object
      org.apache.batik.transcoder.wmf.tosvg.WMFUtilities

    public class WMFUtilities

extends java.lang.Object

This class holds various utilies for importing WMF files that can be used either for `AbstractWMFReader`s and `AbstractWMFPainter`s

Constructor Summary
`WMFUtilities()`

Method Summary
`static java.lang.String` `decodeString(WMFFont wmfFont, byte[] bstr)` Decode a byte array in a string, using the charset of the given font.
`static int` `getHorizontalAlignment(int align)` Get the Horizontal Alignement for the Alignment property.
`static int` `getVerticalAlignment(int align)` Get the Vertical Alignement for the Alignment property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WMFUtilities

    public WMFUtilities()

Method Detail

### decodeString

    public static java.lang.String decodeString(WMFFont wmfFont,
                                                byte[] bstr)

  Decode a byte array in a string, using the charset of the given font.

  Parameters:
    `wmfFont` - the font to use the charset of.
    `bstr` - the encoded bytes of the string.

### getHorizontalAlignment

    public static int getHorizontalAlignment(int align)

  Get the Horizontal Alignement for the Alignment property.

### getVerticalAlignment

    public static int getVerticalAlignment(int align)

  Get the Vertical Alignement for the Alignment property.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.